Changelog
All notable changes to the current API will be documented here. To learn about API versioning, see API lifecycle.
Changes that affect multiple APIs are documented in the general changelog.
History​
February 2026​
- Added support for Donations organizations using merchant level keys.
August 2025​
- Bug fix Denmark and Finland: The value of the
pspReferenceoncapture-feesmaps to thecaptureIdas documented.
February 2025​
- Norwegian Vippsnummer merchants can access GDPR data through the Report API.
- Bug fix Norway: The value of the
pspReferenceoncapture-feeentries maps to thecaptureIdas documented. - Each ledger is scoped to a single sales unit (merchant serial number).
June 2024​
GET:/settlement/v1/ledgersnow returns sales unit information as an array of objects. See Downloading reports for details.
May 2024​
- Removed the deprecated
GET:/report/v1/ledgertransactionsendpoint. Requests to the endpoint will result inHTTP 410 Gone.
February 2024​
- Added the
GDPR data
parameter
includeGDPRSensitiveDatafor Vippsnummer payments.
December 2023​
- Removed
FirstPayoutandLastPayoutfrom the response ofGET:/settlement/v1/ledgers. - Removed undocumented internal fields from
GET:/report/v2/ledgers/{ledgerId}/{topic}/feed. These fields were never part of the API specification and their removal is considered a bug fix. The internal fields that were removed:name,externalId,settlementEmailRecipients,settlementEmailFrequency,enableGrossSettlements,enableSettlementPayoutIfBlocked,blockSettlementPayouts,settlementFrequency,salesUnits,entityId,changedBy,changedAtandcomment.
November 2023​
- Added the
hasMorefield toGET:/report/v2/ledgers/{ledgerId}/{topic}/dates/{ledgerDate}to reduce the learning curve of the API.
September 2023​
- Launched the final non-Beta version of the Report API, which is named
report/v2. Version 1 is deprecated.
November 2022​
- Launched the beta of the Report API,
report/v1.
Version 2 compared to version 1​
- The information in the
/ledgertransactionsendpoint has been split into different endpoints to list changes to balance (funds) and per-transaction fees charged by Vipps MobilePay AS (fees). This split is primarily done to make it more natural in the API to provide fee specifications also for merchants that receive gross settlements. - Instead of query parameters to
/ledgertransactionsimplying different modes of using the endpoint, we provide different endpoints for different ways of fetching/synchronizing the data. - In total,
GET:/report/v1/ledgertransactionsis replaced by the following endpoints, where{topic}can befundsorfees: - While all the above endpoints are very similar to the
v1/ledgertransactionsendpoint, there are some cosmetic changes:transactionIdhas been renamedpspReferenceto be consistent with the ePayment API.orderIdhas been renamedreferenceto be consistent with the ePayment API.ledgerAmountis simplyamount.transactionTypehas been renamed toentryType.- The
payouttype has been renamed topayout-scheduled. Please consult the full list of entry types in the reference.
- The
- The
grossAmountandfeecolumns are removed from this endpoint and replaced with:- Detailed information about fees available on the
/feesendpoint; both for cases where fees are retained ("net settlements") and not ("gross settlements") - For net settlements, an adjustment of the ledger balance is included as a sum row.
There is typically one such row per day, although details of this will vary according to when
Vipps MobilePay legally collects the fees (
entryTypeoffees-retained).
- Detailed information about fees available on the
- The
inPayoutargument tov1/ledgertransactionshas no equivalent in the new API. Fetching data per date is the recommended alternative.- This feature may be added back as a separate
payoutspath alongsidefeedanddatesif there is sufficient demand.
- This feature may be added back as a separate
- The
sincePayoutargument to/ledgertransactionshas been removed and appears to be unused.